﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using TelerikXamarin.Portable.Models;

namespace TelerikXamarin.Portable.Helpers
{
    public static class SampleDataHelper
    {
        static readonly Random Rand = new Random();

        public static ObservableCollection<ChartItem> LoadInitialData()
        {
            var data = new ObservableCollection<ChartItem>();

            // Creates a list of 10 dates so that the series data points have the same timestamps
            var dates = new List<DateTime>();
            for (var i = 0; i < 10; i++) dates.Add(DateTime.Now.AddHours(-i));

            // Creates 10 data points for the chart, with a Category ID of 1
            for (var i = 0; i < 10; i++)
            {
                data.Add(new ChartItem
                {
                    CategoryId = 1,
                    Timestamp = dates[i],
                    Value = Rand.Next(0,10)
                });
            }

            // Creates 10 data points for the chart, with a Category ID of 2
            for (var i = 0; i < 10; i++)
            {
                data.Add(new ChartItem
                {
                    CategoryId = 2,
                    Timestamp = dates[i],
                    Value = Rand.Next(0, 10)
                });
            }

            return data;
        }
    }
}
