﻿using System;
using System.Linq;
using Telerik.XamarinForms.Chart;
using TelerikXamarin.Portable.ViewModels;
using Xamarin.Forms;

namespace TelerikXamarin.Portable
{
    public partial class StartPage : ContentPage
    {
        public StartPage()
        {
            InitializeComponent();
        }


        private void RadView_OnNativeControlLoaded(object sender, EventArgs e)
        {
            var vm = BindingContext as StartPageViewModel;

            if (vm == null) return;

            // 1 - Group the original data in the ViewModel by the CategoryId of each item
            var uniqueCategorySeriesData = vm.OriginalData.GroupBy(i => i.CategoryId);


            // Add a series for each one of the groups
            foreach (var seriesData in uniqueCategorySeriesData)
            {
                chart.Series.Add(new LineSeries
                {
                    ItemsSource = seriesData.ToList(),
                    ValueBinding = new PropertyNameDataPointBinding("Value"),
                    CategoryBinding = new PropertyNameDataPointBinding("Timestamp")
                });
            }
        }
    }
}